apiVersion: v1
kind: Pod
metadata:
  name: require-run-as-non-root-bad-1
  labels:
    policies.opencode.de/bsi-protection-requirement: standard
    policies.opencode.de/category: should
    policies.opencode.de/bsi-requirement: SYS.1.6.A17
spec:
  containers:
  - name: require-run-as-non-root-bad-1
    image: nginxinc/nginx-unprivileged
    securityContext:
      runAsNonRoot: false
---
apiVersion: v1
kind: Pod
metadata:
  name: require-run-as-non-root-bad-2
  labels:
    policies.opencode.de/bsi-protection-requirement: standard
    policies.opencode.de/category: should
    policies.opencode.de/bsi-requirement: SYS.1.6.A17
spec:
  containers:
  - name: require-run-as-non-root-bad-2
    image: nginxinc/nginx-unprivileged
---
apiVersion: v1
kind: Pod
metadata:
  name: require-run-as-non-root-good-1
  labels:
    policies.opencode.de/bsi-protection-requirement: standard
    policies.opencode.de/category: should
    policies.opencode.de/bsi-requirement: SYS.1.6.A17
spec:
  containers:
  - name: require-run-as-non-root-good-1
    image: nginxinc/nginx-unprivileged
    securityContext:
      runAsNonRoot: true
